# Les variables à choix

## Les variables à choix simple

Il est possible d'imposer une liste de valeur pour une variable particulière :

```
<variable name="my_variable" type="choice">
    <choice>val1</choice>
    <choice>val2</choice>
    <choice>val3</choice>
</variable>
```

Dans ce cas, seules les valeurs proposées sont possibles pour cette variable. Mais il est possible de mettre la valeur "None".

## Les variables à choix avec valeur

Si on précise une valeur, la variable passe obligatoire et la valeur "None" n'est plus autorisé :

```
<variable name="my_variable" type="choice">
    <choice>val1</choice>
    <choice>val2</choice>
    <choice>val3</choice>
    <value>val1</value>
</variable>
```
